package intrinsic.mx.core;

public class ContainerRawChildrenList extends Object implements intrinsic.mx.core.IChildList {

	/** Accessors */
	public int numChildren;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ContainerRawChildrenList() {
}

public ContainerRawChildrenList(intrinsic.mx.core.Container arg0) {
}


/** Static Methods */

/** Methods */
public native int getChildIndex(intrinsic.flash.display.DisplayObject arg0);
public native intrinsic.flash.display.DisplayObject addChild(intrinsic.flash.display.DisplayObject arg0);
public native intrinsic.Array getObjectsUnderPoint(intrinsic.flash.geom.Point arg0);
public native intrinsic.flash.display.DisplayObject getChildByName(String arg0);
public native intrinsic.flash.display.DisplayObject removeChildAt(int arg0);
public native intrinsic.flash.display.DisplayObject addChildAt(intrinsic.flash.display.DisplayObject arg0, int arg1);
public native void setChildIndex(intrinsic.flash.display.DisplayObject arg0, int arg1);
public native intrinsic.flash.display.DisplayObject removeChild(intrinsic.flash.display.DisplayObject arg0);
public native boolean contains(intrinsic.flash.display.DisplayObject arg0);
public native intrinsic.flash.display.DisplayObject getChildAt(int arg0);

}
